aboutsummaryrefslogtreecommitdiff
path: root/.circleci
diff options
context:
space:
mode:
Diffstat (limited to '.circleci')
-rwxr-xr-x.circleci/test_spm.sh30
1 files changed, 16 insertions, 14 deletions
diff --git a/.circleci/test_spm.sh b/.circleci/test_spm.sh
index f016e52..eb141e5 100755
--- a/.circleci/test_spm.sh
+++ b/.circleci/test_spm.sh
@@ -13,25 +13,27 @@ spm --list
spm --search zlib
-spm --verbose --yes --root $PREFIX --install python
+if [[ $(uname -s) == Linux ]]; then
+ spm --verbose --yes --root $PREFIX --install python
-set +x
-echo ACTIVATING ROOT: $PREFIX
-spm --cmd mkruntime $PREFIX > $PREFIX/bin/activate || exit 1
-source $PREFIX/bin/activate || exit 1
-echo OK!
-set -x
+ set +x
+ echo ACTIVATING ROOT: $PREFIX
+ spm --cmd mkruntime $PREFIX > $PREFIX/bin/activate || exit 1
+ source $PREFIX/bin/activate || exit 1
+ echo OK!
+ set -x
-which python3
+ which python3
-python3 -V
+ python3 -V
-python3 -c 'from sysconfig import get_config_vars; from pprint import pprint; pprint(get_config_vars())'
+ python3 -c 'from sysconfig import get_config_vars; from pprint import pprint; pprint(get_config_vars())'
-python3 -m ensurepip
+ python3 -m ensurepip
-pip3 --version
+ pip3 --version
-pip3 install --upgrade pip setuptools
+ pip3 install --upgrade pip setuptools
-pip3 --version
+ pip3 --version
+fi